Subject: [alpine-aports] [PATCH] testing/camlp4: new aport

From: Jon Ong <[email-masked]>
Date: Thu, 7 Jul 2016 23:57:26 +0800

https://github.com/ocaml/camlp4/releases
Caml preprocessor and pretty-printer
---
Changes v1 -> v2:
 - added dependency on ocamlbuild
 - bumped version to 4.03+1

 testing/camlp4/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/camlp4/APKBUILD

diff --git a/testing/camlp4/APKBUILD b/testing/camlp4/APKBUILD
new file mode 100644
index 0000000..5202c30
--- /dev/null
+++ b/testing/camlp4/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Jon Ong <[email-masked]>
+# Maintainer:
+pkgname=camlp4
+pkgver=4.03
+versuffix=+1
+pkgrel=0
+pkgdesc="Caml preprocessor and pretty-printer"
+url="https://github.com/ocaml/camlp4/releases"
+arch="all"
+license="GPL2"
+depends="ocaml"
+makedepends="ocamlbuild"
+options="!makeflags !emptydirs staticlibs"
+install=""
+subpackages=""
+source="https://github.com/ocaml/camlp4/archive/${pkgver}${versuffix}.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver${versuffix/+/-}"
+build() {
+	cd "$builddir"
+
+	./configure || return 1
+	make -j1 all camlp4/META || return 1
+}
+
+package() {
+	cd "$builddir"
+
+	make BINDIR="$pkgdir/usr/bin" \
+		LIBDIR="$pkgdir/usr/lib/ocaml" \
+		PKGDIR="$pkgdir/usr/lib/ocaml" \
+		install install-META || return 1
+}
+md5sums="65ece8d2c8f4b1e06d62323e78759a7c  4.03+1.tar.gz"
+sha256sums="6eefeacced81cca59ddf90c2538505fd5cd6596a3fc1acf4971e9796c2e7f2ae  4.03+1.tar.gz"
+sha512sums="0a329e18deffebb5245415f822f91e692076fca4dbe38748f18e72f417ce7354faed744fdff25f9976659192cb02d56ceb2cf1be5c64da463413ec4a28a9d3ac  4.03+1.tar.gz"
-- 
2.8.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---